# ApplicationFramework
TKCAF
TFunction

# TFunction_IFunction Class Reference

Interface class for usage of Function Mechanism
.

`#include <TFunction_IFunction.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_IFunction ()
Standard_EXPORT | TFunction_IFunction (const TDF_Label &L)
| A constructor. Initializes the interface by the label of function. .
Standard_EXPORT void | Init (const TDF_Label &L)
| Initializes the interface by the label of function. .
Standard_EXPORT const TDF_Label & | Label () const
| Returns a label of the function. .
Standard_EXPORT Standard_Boolean | UpdateDependencies () const
| Updates the dependencies of this function only. .
Standard_EXPORT void | Arguments (TDF_LabelList &args) const
| The method fills-in the list by labels, where the arguments of the function are located. .
Standard_EXPORT void | Results (TDF_LabelList &res) const
| The method fills-in the list by labels, where the results of the function are located. .
Standard_EXPORT void | GetPrevious (TDF_LabelList &prev) const
| Returns a list of previous functions. .
Standard_EXPORT void | GetNext (TDF_LabelList &prev) const
| Returns a list of next functions. .
Standard_EXPORT TFunction_ExecutionStatus | GetStatus () const
| Returns the execution status of the function. .
Standard_EXPORT void | SetStatus (const TFunction_ExecutionStatus status) const
| Defines an execution status for a function. .
Standard_EXPORT const TFunction_DoubleMapOfIntegerLabel & | GetAllFunctions () const
| Returns the scope of all functions. .
Standard_EXPORT TFunction_Logbook & | GetLogbook () const
| Returns the Logbook - keeper of modifications. .
Standard_EXPORT Handle_TFunction_Driver | GetDriver (const Standard_Integer thread=0) const
| Returns a driver of the function. .
Standard_EXPORT Handle_TFunction_GraphNode | GetGraphNode () const
| Returns a graph node of the function. .

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | NewFunction (const TDF_Label &L, const Standard_GUID &ID)
| Sets a new function attached to a label <l> with <id>. It creates a new TFunction_Function attribute initialized by the <id>, a new TFunction_GraphNode with an empty list of dependencies and the status equal to TFunction_ES_WrongDefinition. It registers the function in the scope of functions for this document. .
static Standard_EXPORT Standard_Boolean | DeleteFunction (const TDF_Label &L)
| Deletes a function attached to a label <l>. It deletes a TFunction_Function attribute and a TFunction_GraphNode. It deletes the functions from the scope of function of this document. .
static Standard_EXPORT Standard_Boolean | UpdateDependencies (const TDF_Label &Access)
| Updates dependencies for all functions of the scope. It returns false in case of an error. //! An empty constructor. .

## Private Attributes

TDF_Label | myLabel

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_IFunction::TFunction_IFunction | ( |  | ) |

Standard_EXPORT TFunction_IFunction::TFunction_IFunction | ( | const TDF_Label & | L | ) |

## Member Function Documentation

Standard_EXPORT void TFunction_IFunction::Arguments | ( | TDF_LabelList & | args | ) | const

static Standard_EXPORT Standard_Boolean TFunction_IFunction::DeleteFunction | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT const TFunction_DoubleMapOfIntegerLabel& TFunction_IFunction::GetAllFunctions | ( |  | ) | const

Standard_EXPORT Handle_TFunction_Driver TFunction_IFunction::GetDriver | ( | const Standard_Integer | thread = `0` | ) | const

Standard_EXPORT Handle_TFunction_GraphNode TFunction_IFunction::GetGraphNode | ( |  | ) | const

Standard_EXPORT TFunction_Logbook& TFunction_IFunction::GetLogbook | ( |  | ) | const

Standard_EXPORT void TFunction_IFunction::GetNext | ( | TDF_LabelList & | prev | ) | const

Standard_EXPORT void TFunction_IFunction::GetPrevious | ( | TDF_LabelList & | prev | ) | const

Standard_EXPORT TFunction_ExecutionStatus TFunction_IFunction::GetStatus | ( |  | ) | const

Standard_EXPORT void TFunction_IFunction::Init | ( | const TDF_Label & | L | ) |

Standard_EXPORT const TDF_Label& TFunction_IFunction::Label | ( |  | ) | const

static Standard_EXPORT Standard_Boolean TFunction_IFunction::NewFunction | ( | const TDF_Label & | L,
|  | const Standard_GUID & | ID
| ) | `[static]`

void TFunction_IFunction::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_IFunction::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_IFunction::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TFunction_IFunction::Results | ( | TDF_LabelList & | res | ) | const

Standard_EXPORT void TFunction_IFunction::SetStatus | ( | const TFunction_ExecutionStatus | status | ) | const

Standard_EXPORT Standard_Boolean TFunction_IFunction::UpdateDependencies | ( |  | ) | const

static Standard_EXPORT Standard_Boolean TFunction_IFunction::UpdateDependencies | ( | const TDF_Label & | Access | ) | `[static]`

## Field Documentation

TDF_Label TFunction_IFunction::myLabel `[private]`

The documentation for this class was generated from the following file:

- TFunction_IFunction.hxx